# init

## Syntax:
`init {stack}`

## Examples:
`stack ValueStack`  
`init ValueStack`

## Description:
`init` initialises a [stack](stack.md) - an array object, so that values can be [push](push.md)ed to it and [pop](pop.md)ped from it. A [stack](stack.md) is a convenient place to store values during recursive operations.

Next: [input](input.md)  
Prev: [index](index.md)

[Back](../../README.md)
